Index: book/conf.py
===================================================================
--- book/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ book/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'book.tex', u'RTEMS Book', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: bsp_howto/conf.py
===================================================================
--- bsp_howto/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ bsp_howto/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'bsp_howto.tex', u'RTEMS BSP Howto Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: bsp_howto/wscript
===================================================================
--- bsp_howto/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ bsp_howto/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: c_user/conf.py
===================================================================
--- c_user/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
+++ c_user/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -0,0 +1,12 @@
+import sys, os
+sys.path.append(os.path.abspath('../common/'))
+
+from conf import *
+
+version = '1.0'
+release = '5.0'
+
+latex_documents = [
+	('index', 'c_user.tex', u'RTEMS C User Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: c_user/wscript
===================================================================
--- c_user/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ c_user/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: common/conf.py
===================================================================
--- common/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ common/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -189,5 +189,5 @@
 latex_use_parts = True
 
-latex_additional_files = ['rtems.sty', 'logo.pdf']
+latex_additional_files = ['../common/rtemsstyle.sty', '../common/logo.pdf']
 
 latex_use_modindex = False
Index: mmon/rtems.sty
===================================================================
--- common/rtems.sty	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ 	(revision )
@@ -1,119 +1,0 @@
-\definecolor{TitleColor}{rgb}{0,0,0}
-\definecolor{InnerLinkColor}{rgb}{0,0,0}
-\definecolor{OuterLinkColor}{rgb}{1.0,0.5,0.0}
-
-\renewcommand{\maketitle}{%
-  \begin{titlepage}%
-    \let\footnotesize\small
-    \let\footnoterule\relax
-    \ifsphinxpdfoutput
-      \begingroup
-      % This \def is required to deal with multi-line authors; it
-      % changes \\ to ', ' (comma-space), making it pass muster for
-      % generating document info in the PDF file.
-      \def\\{, }
-      \pdfinfo{
-        /Author (\@author)
-        /Title (\@title)
-      }
-      \endgroup
-    \fi
-    \begin{flushright}%
-      %\sphinxlogo%
-      {\center
-        \vspace*{3cm}
-      	\includegraphics{logo.pdf}
-        \vspace{3cm}
-	\par
-        {\rm\Huge \@title \par}%
-        {\em\LARGE \py@release\releaseinfo \par}
-        {\large
-         \@date \par
-         \py@authoraddress \par
-        }}%
-    \end{flushright}%\par
-    \@thanks
-  \end{titlepage}%
-  \cleardoublepage%
-  \setcounter{footnote}{0}%
-  \let\thanks\relax\let\maketitle\relax
-  %\gdef\@thanks{}\gdef\@author{}\gdef\@title{}
-}
-
-\fancypagestyle{normal}{
-  \fancyhf{}
-  \fancyfoot[LE,RO]{{\thepage}}
-  \fancyfoot[LO]{{\nouppercase{\rightmark}}}
-  \fancyfoot[RE]{{\nouppercase{\leftmark}}}
-  \fancyhead[LE,RO]{{ \@title, \py@release}}
-  \renewcommand{\headrulewidth}{0.4pt}
-  \renewcommand{\footrulewidth}{0.4pt}
-}
-
-\fancypagestyle{plain}{
-  \fancyhf{}
-  \fancyfoot[LE,RO]{{\thepage}}
-  \renewcommand{\headrulewidth}{0pt}
-  \renewcommand{\footrulewidth}{0.4pt}
-}
-
-\titleformat{\section}{\Large}%
-            {\py@TitleColor\thesection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\subsection}{\large}%
-            {\py@TitleColor\thesubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\subsubsection}{}%
-            {\py@TitleColor\thesubsubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
-\titleformat{\paragraph}{\large}%
-            {\py@TitleColor}{0em}{\py@TitleColor}{\py@NormalColor}
-
-\ChNameVar{\raggedleft\normalsize}
-\ChNumVar{\raggedleft \bfseries\Large}
-\ChTitleVar{\raggedleft \rm\Huge}
-
-\renewcommand\thepart{\@Roman\c@part}
-\renewcommand\part{%
-   \pagestyle{plain}
-   \if@noskipsec \leavevmode \fi
-   \cleardoublepage
-   \vspace*{6cm}%
-   \@afterindentfalse
-   \secdef\@part\@spart}
-
-\def\@part[#1]#2{%
-    \ifnum \c@secnumdepth >\m@ne
-      \refstepcounter{part}%
-      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
-    \else
-      \addcontentsline{toc}{part}{#1}%
-    \fi
-    {\parindent \z@ %\center
-     \interlinepenalty \@M
-     \normalfont
-     \ifnum \c@secnumdepth >\m@ne
-       \rm\Large \partname~\thepart
-       \par\nobreak
-     \fi
-     \MakeUppercase{\rm\Huge #2}%
-     \markboth{}{}\par}%
-    \nobreak
-    \vskip 8ex
-    \@afterheading}
-\def\@spart#1{%
-    {\parindent \z@ %\center
-     \interlinepenalty \@M
-     \normalfont
-     \huge \bfseries #1\par}%
-     \nobreak
-     \vskip 3ex
-     \@afterheading}
-
-% use inconsolata font
-\usepackage{inconsolata}
-
-% fix single quotes, for inconsolata. (does not work)
-%%\usepackage{textcomp}
-%%\begingroup
-%%  \catcode`'=\active
-%%  \g@addto@macro\@noligs{\let'\textsinglequote}
-%%  \endgroup
-%%\endinput
Index: common/rtemsstyle.sty
===================================================================
--- common/rtemsstyle.sty	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
+++ common/rtemsstyle.sty	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -0,0 +1,119 @@
+\definecolor{TitleColor}{rgb}{0,0,0}
+\definecolor{InnerLinkColor}{rgb}{0,0,0}
+\definecolor{OuterLinkColor}{rgb}{1.0,0.5,0.0}
+
+\renewcommand{\maketitle}{%
+  \begin{titlepage}%
+    \let\footnotesize\small
+    \let\footnoterule\relax
+    \ifsphinxpdfoutput
+      \begingroup
+      % This \def is required to deal with multi-line authors; it
+      % changes \\ to ', ' (comma-space), making it pass muster for
+      % generating document info in the PDF file.
+      \def\\{, }
+      \pdfinfo{
+        /Author (\@author)
+        /Title (\@title)
+      }
+      \endgroup
+    \fi
+    \begin{flushright}%
+      %\sphinxlogo%
+      {\center
+        \vspace*{3cm}
+      	\includegraphics{logo.pdf}
+        \vspace{3cm}
+	\par
+        {\rm\Huge \@title \par}%
+        {\em\LARGE \py@release\releaseinfo \par}
+        {\large
+         \@date \par
+         \py@authoraddress \par
+        }}%
+    \end{flushright}%\par
+    \@thanks
+  \end{titlepage}%
+  \cleardoublepage%
+  \setcounter{footnote}{0}%
+  \let\thanks\relax\let\maketitle\relax
+  %\gdef\@thanks{}\gdef\@author{}\gdef\@title{}
+}
+
+\fancypagestyle{normal}{
+  \fancyhf{}
+  \fancyfoot[LE,RO]{{\thepage}}
+  \fancyfoot[LO]{{\nouppercase{\rightmark}}}
+  \fancyfoot[RE]{{\nouppercase{\leftmark}}}
+  \fancyhead[LE,RO]{{ \@title, \py@release}}
+  \renewcommand{\headrulewidth}{0.4pt}
+  \renewcommand{\footrulewidth}{0.4pt}
+}
+
+\fancypagestyle{plain}{
+  \fancyhf{}
+  \fancyfoot[LE,RO]{{\thepage}}
+  \renewcommand{\headrulewidth}{0pt}
+  \renewcommand{\footrulewidth}{0.4pt}
+}
+
+\titleformat{\section}{\Large}%
+            {\py@TitleColor\thesection}{0.5em}{\py@TitleColor}{\py@NormalColor}
+\titleformat{\subsection}{\large}%
+            {\py@TitleColor\thesubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
+\titleformat{\subsubsection}{}%
+            {\py@TitleColor\thesubsubsection}{0.5em}{\py@TitleColor}{\py@NormalColor}
+\titleformat{\paragraph}{\large}%
+            {\py@TitleColor}{0em}{\py@TitleColor}{\py@NormalColor}
+
+\ChNameVar{\raggedleft\normalsize}
+\ChNumVar{\raggedleft \bfseries\Large}
+\ChTitleVar{\raggedleft \rm\Huge}
+
+\renewcommand\thepart{\@Roman\c@part}
+\renewcommand\part{%
+   \pagestyle{plain}
+   \if@noskipsec \leavevmode \fi
+   \cleardoublepage
+   \vspace*{6cm}%
+   \@afterindentfalse
+   \secdef\@part\@spart}
+
+\def\@part[#1]#2{%
+    \ifnum \c@secnumdepth >\m@ne
+      \refstepcounter{part}%
+      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
+    \else
+      \addcontentsline{toc}{part}{#1}%
+    \fi
+    {\parindent \z@ %\center
+     \interlinepenalty \@M
+     \normalfont
+     \ifnum \c@secnumdepth >\m@ne
+       \rm\Large \partname~\thepart
+       \par\nobreak
+     \fi
+     \MakeUppercase{\rm\Huge #2}%
+     \markboth{}{}\par}%
+    \nobreak
+    \vskip 8ex
+    \@afterheading}
+\def\@spart#1{%
+    {\parindent \z@ %\center
+     \interlinepenalty \@M
+     \normalfont
+     \huge \bfseries #1\par}%
+     \nobreak
+     \vskip 3ex
+     \@afterheading}
+
+% use inconsolata font
+\usepackage{inconsolata}
+
+% fix single quotes, for inconsolata. (does not work)
+%%\usepackage{textcomp}
+%%\begingroup
+%%  \catcode`'=\active
+%%  \g@addto@macro\@noligs{\let'\textsinglequote}
+%%  \endgroup
+%%\endinput
Index: common/waf.py
===================================================================
--- common/waf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ common/waf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -34,31 +34,62 @@
 
 def cmd_configure(ctx):
-	ctx.find_program("sphinx-build", var="BIN_SPHINX_BUILD")
+	ctx.load('tex')
+
+	if not ctx.env.PDFLATEX:
+		conf.fatal('The program LaTex is required')
+
+	ctx.find_program("sphinx-build", var="BIN_SPHINX_BUILD", mandatory=True)
+#	ctx.find_program("pdflatex", var="BIN_PDFLATEX", mandatory=True)
 	ctx.find_program("aspell", var="BIN_ASPELL", mandatory=False)
+
 
 def cmd_build(ctx, conf_dir=".", source_dir="."):
 	srcnode = ctx.srcnode.abspath()
 
-	# Copy resources.
-	for dir in ["_static", "_templates"]:
-		files = ctx.path.parent.find_node("common").ant_glob("%s/*" % dir)
-		ctx.path.get_bld().make_node(dir).mkdir() # dirs
+	if ctx.options.pdf:
 
 		ctx(
-			features    = "subst",
-			is_copy     = True,
-			source      = files,
-			target      = [ctx.bldnode.find_node(dir).get_bld().make_node(x.name) for x in files]
+			rule	= "${BIN_SPHINX_BUILD} -b latex -c %s -j %d -d build/doctrees %s build/latex" % (conf_dir, ctx.options.jobs, source_dir),
+			cwd		= ctx.path.abspath(),
+			source	= ctx.path.ant_glob('**/*.rst'),
+			target	= "latex/%s.tex" % ctx.path.name
 		)
 
-	ctx(
-		rule   = "${BIN_SPHINX_BUILD} -b html -c %s -j %d -d build/doctrees %s build/html" % (conf_dir, ctx.options.jobs, source_dir),
-		cwd	= ctx.path.abspath(),
-		source =  ctx.path.ant_glob('**/*.rst'),# + ctx.path.ant_glob('conf.py'),
-		target = ctx.path.find_or_declare('html/index.html')
-	)
+		ctx.add_group()
+
+		ctx(
+			features	= 'tex',
+			cwd			= "%s/latex/" % ctx.path.get_bld().abspath(),
+			type		= 'pdflatex',
+			source		= ctx.bldnode.find_or_declare("latex/%s.tex" % ctx.path.name),
+			prompt		= 0
+		)
+
+	else:
+	# Copy HTML resources.
+		for dir in ["_static", "_templates"]:
+			files = ctx.path.parent.find_node("common").ant_glob("%s/*" % dir)
+			ctx.path.get_bld().make_node(dir).mkdir() # dirs
+
+			ctx(
+				features    = "subst",
+				is_copy     = True,
+				source      = files,
+				target      = [ctx.bldnode.find_node(dir).get_bld().make_node(x.name) for x in files]
+			)
+
+		ctx(
+			rule   = "${BIN_SPHINX_BUILD} -b html -c %s -j %d -d build/doctrees %s build/html" % (conf_dir, ctx.options.jobs, source_dir),
+			cwd	= ctx.path.abspath(),
+			source =  ctx.path.ant_glob('**/*.rst'),# + ctx.path.ant_glob('conf.py'),
+			target = ctx.path.find_or_declare('html/index.html')
+		)
+
+def cmd_options(ctx):
+	ctx.add_option('--pdf', action='store_true', default=False, help="Build PDF.")
 
 def cmd_options_path(ctx):
-	ctx.add_option('--rtems-path-py', type='string', help="Path to py/ in RTEMS.")
+	cmd_options(ctx)
+	ctx.add_option('--rtems-path-py', type='string', help="Full path to py/ in RTEMS source repository.")
 
 
Index: cpu_supplement/conf.py
===================================================================
--- cpu_supplement/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ cpu_supplement/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'cpu_supplement.tex', u'RTEMS CPU Supplement Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: cpu_supplement/wscript
===================================================================
--- cpu_supplement/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ cpu_supplement/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: develenv/conf.py
===================================================================
--- develenv/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ develenv/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'develenv.tex', u'RTEMS Development Environment Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: develenv/wscript
===================================================================
--- develenv/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ develenv/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: filesystem/conf.py
===================================================================
--- filesystem/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ filesystem/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'filesystem.tex', u'RTEMS Filesystem Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: filesystem/wscript
===================================================================
--- filesystem/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ filesystem/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: networking/conf.py
===================================================================
--- networking/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ networking/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'networking.tex', u'RTEMS Networking Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: networking/wscript
===================================================================
--- networking/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ networking/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: porting/conf.py
===================================================================
--- porting/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ porting/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'porting.tex', u'RTEMS Porting Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: porting/wscript
===================================================================
--- porting/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ porting/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: posix1003_1/conf.py
===================================================================
--- posix1003_1/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ posix1003_1/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'posix1003_1.tex', u'RTEMS POSIX 1003_1 Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: posix1003_1/wscript
===================================================================
--- posix1003_1/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ posix1003_1/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: posix_users/conf.py
===================================================================
--- posix_users/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ posix_users/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'posix_users.tex', u'RTEMS POSIX Users Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: posix_users/wscript
===================================================================
--- posix_users/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ posix_users/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: rtemsconfig/conf.py
===================================================================
--- rtemsconfig/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ rtemsconfig/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'rtemsconfig.tex', u'RTEMS RTEMS Config Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: shell/conf.py
===================================================================
--- shell/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ shell/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'shell.tex', u'RTEMS Shell Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: shell/wscript
===================================================================
--- shell/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ shell/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
Index: user/conf.py
===================================================================
--- user/conf.py	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ user/conf.py	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -7,2 +7,6 @@
 release = '5.0'
 
+latex_documents = [
+	('index', 'user.tex', u'RTEMS User Documentation', u'RTEMS Documentation Project', 'manual'),
+]
+
Index: user/wscript
===================================================================
--- user/wscript	(revision 0abc59dffc7ae747bd6bf1d47ba11b80e347e7c9)
+++ user/wscript	(revision 9b5801a6e6c80379b79a799a9484cfefb4cebec3)
@@ -3,9 +3,4 @@
 path.append(abspath('../common/'))
 
-from waf import cmd_configure, cmd_build, spell, cmd_spell
+from waf import cmd_configure as configure, cmd_build as build, spell, cmd_spell, cmd_options as options
 
-def configure(ctx):
-	cmd_configure(ctx)
-
-def build(ctx):
-	cmd_build(ctx)
